<!doctype html>
<html>
  <body>
  <h2>Glossaire</h2>
<p><b>APK</b> : accronyme de <i>Android Application Package</i>, c'est
l'exécutable d'une application <i>Android</i>.</p>
<p><b>IDE</b> : <i>Integrated Development Environment</i>, soit environement de
développement.</p>
<p><b>Framework Android</b> : ensemble d'outils Android, API et fonctionnalités,
permettant aux développeurs de créer des applications. L'expression <b>framework
open source</b> est aussi employé pour désigner un ensemble d'outils de
développement, lié à une technologie, libre et gratuit.</p>
<p><b>Gradle</b> : les <u>fichiers <i>Gradle</i></u> permettent de gérer un projet
(numéro de version, numéro d'API de compilation, dépendances, etc. ),
aussi il construit l'exécutable de l'application.</p>
<p><b>Manifest</b> : Le fichier Manifest en <i>Android</i> contient les principales
informations de l'application. Plus précisément, il déclare toutes les autorisations
requises, les composantes principales...</p>
<p><b>Material Design</b> : ensemble de règles d'ergonomie proposées par <i>Google</i>,
elles s'appliquent à l'interface graphique des applications sur mobile, tablette
et ordinateur.</p>
 <p><b>NDK</b> accronyme de <i>Native Development Kit</i> soit boîte à
outils de développement natif.</p>
<p><b>OHA</b> : <i>Open Handset Alliance</i> groupe initié par <i>Google</i>,
composé de constructeurs de microélectronique (<i>Qualcomm</i>), de fournisseurs
de réseau (<i>Bouygues Telecom</i>), de constructeurs de téléphone (<i>Wiko</i>,
<i>Nokia</i>, etc.).</p>
<p><b>OS</b> : <i>Operating System</i> soit système d'exploitation. Généralement,
l'expression <b>OS Mobile</b> (soit système d'exploitation pour appareil mobile) est
employé dans le jargon technique.</p>
<p><b>Plugin</b> : extension indépendante, pouvant être ajouté dans un IDE.</p>
<p><b>SDK</b> : c'est l'accronyme de <i>System Development Kit</i>, soit boîte à
outils de dévelopement du système <i>Android</i>.</p>
<p><b>SVG</b> : c'est l'accronyme de <i>Scalable Vector Graphics</i>, soit graphique
  vectoriel adaptable, à n'importe quelle dimension (de 10 par 10 pixels à 500 par 500 pixels par exemple).</p>
<p><b>UI</b> : <i>User Interface</i> soit interface de l'utilisateur.</p>
  </body>
</html>
